Package Details: daala-git 0.0.r1696.g7278368-2

Git Clone URL: https://aur.archlinux.org/daala-git.git (read-only)
Package Base: daala-git
Description: next-next-gen video compression technology from Xiph.org, Mozilla and others
Upstream URL: https://www.xiph.org/daala/
Licenses: BSD
Conflicts: daala, libdaala
Provides: daala, libdaala
Submitter: TrialnError
Maintainer: TrialnError
Last Packager: TrialnError
Votes: 5
Popularity: 0.600138
First Submitted: 2015-08-08 14:41
Last Updated: 2017-10-25 22:09

Dependencies (12)

Required by (1)

Sources (1)

Latest Comments

now-im commented on 2017-10-28 20:48

@TrialnError Yes, I thought it was stuck and restarted the process multiple time. Finally, I just left it and went to do some chores and it was compiled on its own. That is why I deleted the comment.

TrialnError commented on 2017-10-26 19:32

@now-im: Maybe a problem with pacaur? Using makepkg directly works. If you can add makepkg flags to the pacaur call you should try it with --nocheck.
Alternatively if there is high load and cpu usage while it seems stuck chances are it is still testing and pacaur eats some of the message strings.
And one of those tests takes a lot of time, even if using four cpus.

Edit: Lovely :P Problem seems solved as the post got deleted

TrialnError commented on 2017-10-25 22:14

Apparently I had a misread a commit message a year ago.
Package builds again, and if time is a problem --nocheck should be issued with makepkg, as one of the test does run some time.

Still the PKGBUILD needs some overhaul as it is currently rather ugly. Maybe the tools will be dropped a whole, as there were some problems to get them to work outside of the build directory. Will take a look at this topic next weekend

TrialnError commented on 2017-10-25 21:43

Could take a deeper look at it. Only some of the tools were converted to wxgtk3. Stream Analyzer is still wxgtk2.

In general there are two choices.
1) add wxgtk2 as makedepends (I suppose this should be possible, currently testing it)
2) Or removing the --enable-analyzer option.

I will go with the first option (unless it will be a hard dep, but should be unlikely), but if someone wants to reduce the package size he can customize the PKGBUILD and go with option 2

Edit: forgot that the analyzer isn't installed by default. Well, been some time since I looked at this PKGBUILD

now-im commented on 2017-10-25 19:59

@Matchus Yes, I got that after examining that bit. Seems like the build script needs it. There is no work way around unless software the developer makes wxgtk3 a dependency.

Martchus commented on 2017-10-25 19:24

@now-im So you already noticed that the build failure of vlc-nightly is actually a build failure of this package. @oberon2007 also noticed this error and proposes to re-add wxgtk2. I can try looking into it myself tomorrow.

now-im commented on 2017-10-25 17:46

Can't install the package. Getting this error:

checking for wx-config... no
configure: error:
wxWidgets 2.8.0 must be installed on your system to build the stream
analyzer. Please install or update your wxWidgets.

==> ERROR: A failure occurred in build().
Aborting...
:: failed to build daala-git package(s)

TrialnError commented on 2017-10-23 15:01

can you post where it fails?
As far as I know the tools where ported to wxgtk3

oberon2007 commented on 2017-10-22 16:49

Build fails without wxgtk2 installed. Please add as makedepends.

TrialnError commented on 2017-09-02 20:30

Thanks for the intel, Martchus. I will update the PKGBUILD

Edit: Regarding the test "src/tests/test_divu_small", it does take some time, but it will eventually finish

All comments